org.wso2.extension.siddhi.execution.ml.samoa.utils.classification

## Class StreamingClassificationStream

- java.lang.Object
- - org.apache.samoa.moa.AbstractMOAObject
  - - org.apache.samoa.moa.options.AbstractOptionHandler
    - - org.apache.samoa.streams.clustering.ClusteringStream
      - - org.wso2.extension.siddhi.execution.ml.samoa.utils.DataStream
        - - org.wso2.extension.siddhi.execution.ml.samoa.utils.classification.StreamingClassificationStream

- All Implemented Interfaces:
    com.github.javacliparser.Configurable, Serializable, org.apache.samoa.moa.MOAObject, org.apache.samoa.moa.options.OptionHandler, org.apache.samoa.streams.ExampleStream<org.apache.samoa.moa.core.Example<org.apache.samoa.instances.Instance>>, org.apache.samoa.streams.InstanceStream

      public class StreamingClassificationStream
      extends DataStream

  Streaming Classification Stream
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `com.github.javacliparser.IntOption` | `numberOfAttributesOption`
    `com.github.javacliparser.IntOption` | `numberOfClassesOption`
    `com.github.javacliparser.IntOption` | `numberOfNominalsOption`
    `com.github.javacliparser.StringOption` | `numberOfValuesPerNominalOption`

    - ### Fields inherited from class org.wso2.extension.siddhi.execution.ml.samoa.utils.DataStream

      `cepEvents, numberOfAttributes, numberOfGeneratedInstances, streamHeader, values`

    - ### Fields inherited from class org.apache.samoa.streams.clustering.ClusteringStream

      `decayHorizonOption, decayThresholdOption, evaluationFrequencyOption, numAttsOption`

    - ### Fields inherited from class org.apache.samoa.moa.options.AbstractOptionHandler

      `config`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamingClassificationStream()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `generateHeader()`
    `org.apache.samoa.moa.core.Example<org.apache.samoa.instances.Instance>` | `nextInstance()`
    `protected void` | `prepareForUseImpl(org.apache.samoa.moa.tasks.TaskMonitor taskMonitor, org.apache.samoa.moa.core.ObjectRepository objectRepository)`

    - ### Methods inherited from class org.wso2.extension.siddhi.execution.ml.samoa.utils.DataStream

      `estimatedRemainingInstances, getDescription, getHeader, hasMoreInstances, isRestartable, restart, setCepEvents`

    - ### Methods inherited from class org.apache.samoa.streams.clustering.ClusteringStream

      `getDecayHorizon, getDecayThreshold, getEvaluationFrequency`

    - ### Methods inherited from class org.apache.samoa.moa.options.AbstractOptionHandler

      `copy, getCLICreationString, getOptions, getPreparedClassOption, getPurposeString, prepareClassOptions, prepareForUse, prepareForUse`

    - ### Methods inherited from class org.apache.samoa.moa.AbstractMOAObject

      `copy, measureByteSize, measureByteSize, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.samoa.moa.MOAObject

      `copy, measureByteSize`

- - ### Field Detail

    - #### numberOfClassesOption

          public com.github.javacliparser.IntOption numberOfClassesOption

    - #### numberOfAttributesOption

          public com.github.javacliparser.IntOption numberOfAttributesOption

    - #### numberOfNominalsOption

          public com.github.javacliparser.IntOption numberOfNominalsOption

    - #### numberOfValuesPerNominalOption

          public com.github.javacliparser.StringOption numberOfValuesPerNominalOption

  - ### Constructor Detail

    - #### StreamingClassificationStream

          public StreamingClassificationStream()

  - ### Method Detail

    - #### prepareForUseImpl

          protected void prepareForUseImpl(org.apache.samoa.moa.tasks.TaskMonitor taskMonitor,
                                           org.apache.samoa.moa.core.ObjectRepository objectRepository)

      Specified by:
        `prepareForUseImpl` in class `DataStream`

    - #### generateHeader

          protected void generateHeader()

      Specified by:
        `generateHeader` in class `DataStream`

    - #### nextInstance

          public org.apache.samoa.moa.core.Example<org.apache.samoa.instances.Instance> nextInstance()

      Specified by:
        `nextInstance` in interface `org.apache.samoa.streams.ExampleStream<org.apache.samoa.moa.core.Example<org.apache.samoa.instances.Instance>>`
      Specified by:
        `nextInstance` in class `DataStream`

Copyright © 2017 WSO2. All rights reserved.